let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/qa79fvrbxrgxx9pl1yqjmv82183z6n4s-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/qcbf8dv0kcgs5lkfbs4f2vwszqsfsfbp-coreutils-8.31/bin";
  bzip2 = "/nix/store/rsd72zdyk1i1cynhvlc3qxzys5whfgsd-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/f9gh6y61c04745529fx4wyirclmm39hc-gzip-1.10/bin/gzip";
  xz = "/nix/store/9mbg9lkzhnxfaz0ykkfzqdmwj2m3snfc-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/x9kys000vmpw34kqa20c2dv04xrjjrai-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/qcbf8dv0kcgs5lkfbs4f2vwszqsfsfbp-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/p6j4mis6agdjlk4j0cyg7yh58wpm3kif-nix-2.3.4/bin";
  nixPrefix = "/nix/store/p6j4mis6agdjlk4j0cyg7yh58wpm3kif-nix-2.3.4";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/p6j4mis6agdjlk4j0cyg7yh58wpm3kif-nix-2.3.4/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
